(defsystem #:cl-quantum
  :version "0.0.1"
  :description "Quantum computing operations in pure Common Lisp."
  :author "Alexander Rosenberg <zanderpkg@pm.me>"
  :license "GPL3"
  :depends-on ()
  :serial t
  :components
  ((:file "package")
   (:file "math")
   (:file "state")
   (:file "circuit")
   (:file "pprint")))

(defsystem #:cl-quantum/parse
  :description "Textual state parsing component for cl-quantum."
  :depends-on (#:cl-ppcre)
  :serial t
  :components
  ((:file "parse")))
